## org.apache.batik.util
Class Service

    java.lang.Object
      org.apache.batik.util.Service

public class Service
extends java.lang.Object

This class handles looking up service providers on the class path. it implements the system described in: JAR File Specification Under Service Provider. Note that this interface is very similar to the one they describe which seems to be missing in the JDK.

Constructor Summary
`Service()`

Method Summary
`static java.util.Iterator` `providers(java.lang.Class cls)` Returns an iterator where each element should implement the interface (or subclass the baseclass) described by cls.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service

    public Service()

Method Detail

### providers

    public static java.util.Iterator providers(java.lang.Class cls)

  Returns an iterator where each element should implement the interface (or subclass the baseclass) described by cls. The Classes are found by searching the classpath for service files named: 'META-INF/services/<fully qualified classname> that list fully qualifted classnames of classes that implement the service files classes interface. These classes must have default constructors.

  Parameters:
    `cls` - The class/interface to search for providers of.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.